## eole-fichier 2.5.2-17

=== common/Makefile ===
################################
# Makefile pour eole-fichier-common
################################

SOURCE=eole-fichier
EOLE_VERSION=2.5
EOLE_RELEASE=2.5.2
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== membre/Makefile ===
################################
# Makefile pour eole-fichier-membre
################################

SOURCE=eole-fichier
EOLE_VERSION=2.5
EOLE_RELEASE=2.5.2
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# include <appli>.mk

=== primaire/Makefile ===
################################
# Makefile pour eole-fichier-primaire
################################

SOURCE=eole-fichier
EOLE_VERSION=2.5
EOLE_RELEASE=2.5.2
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# include <appli>.mk

=== userpassword/Makefile ===
################################
# Makefile pour eole-userpassword
################################

SOURCE=eole-fichier
EOLE_VERSION=2.5
EOLE_RELEASE=2.5.2
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-fichier (2.5.2-17) eole-2.5-unstable; urgency=low

  [ Klaas TJEBBES ]
  * [c71dfa2] samba.logrotate : utilisation de *copytruncate* à la place de *delaycompress* REF #15351 @1h
  * [6c8bcb2] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [9ad51a1] Klaas TJEBBES: Update package since “debian/eole/2.5.2-16”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Mon, 07 Mar 2016 16:17:55 +0100

eole-fichier (2.5.2-16) eole-2.5-unstable; urgency=low

  [ Klaas TJEBBES ]
  * [653751c] logrotate : modification de la configuration logrotate.d/samba REF #15233
  * [d9f630b] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [e48b404] Klaas TJEBBES: Update package since “debian/eole/2.5.2-15”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Tue, 01 Mar 2016 17:44:47 +0100

eole-fichier (2.5.2-15) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [d62875e] nmbd lit le fichier de log (ne semble pas passé par rsyslog), on le redémarre (ref #13963 @1h)
  * [adfc59e] ne pas redéfinir le rotate de log.winbind (ref #14846 @2h)
  * [208179f] Merge branch '2.4.0/dont-compress-last-samba-log'
  * [16dc194] Merge branch '2.4.0/dont-compress-last-samba-log'
  * [33ab43a] Exclure les outils EOLE de scannedonly
  * [5781569] Merge branch '2.4.0/14880-configure-scannedonly'
  * [2182b75] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [fbf3b88] Daniel Dehennin: Update package since “debian/eole/2.5.2-14”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 16 Feb 2016 10:55:01 +0100

eole-fichier (2.5.2-14) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [65d32d8] pouvoir démarrer z_stats sans creoled (ref #14547)
  * [e4ca3c7] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [182e2fd] Garette Emmanuel: Update package since “debian/eole/2.5.2-13”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 09 Feb 2016 16:19:10 +0100

eole-fichier (2.5.2-13) eole-2.5-unstable; urgency=low

  [ Klaas TJEBBES ]
  * [068bebd] backport compat Win10 sur 2.4 (max proto = NT1) REF #14278
  * [e658b75] Revert "backport compat Win10 sur 2.4 (max proto = NT1) REF #14278"

  [ Bruno Boiget ]
  * [fbecf25] Modification du template 'login' pour affichage du motd sur console
  * [3fa4f73] Merge branch 'issue/14827'
  * [ceac68f] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [2126d70] Bruno Boiget: Update package since “debian/eole/2.5.2-12”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 03 Feb 2016 17:39:54 +0100

eole-fichier (2.5.2-12) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [d6534c8] ne pas redéfinir le rotate de log.winbind (ref #14846 @2h)
  * [75b3f2e] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [0887149] Garette Emmanuel: Update package since “debian/eole/2.5.2-11”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 03 Feb 2016 16:31:48 +0100

eole-fichier (2.5.2-11) eole-2.5-unstable; urgency=low

  [ Klaas TJEBBES ]
  * [d5210a2] déplacement de "veto files = $RECYCLE.BIN" dans [global] REF #14606 @1h
  * [fad8819] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [5008868] Klaas TJEBBES: Update package since “debian/eole/2.5.2-10”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Mon, 01 Feb 2016 11:43:08 +0100

eole-fichier (2.5.2-10) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [7e48ac6] nmbd lit le fichier de log (ne semble pas passé par rsyslog), on le redémarre (ref #13963 @1h)
  * [a8a8541] Merge branch '2.4.0/13963'
  * [a353b0e] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [3378151] Garette Emmanuel: Update package since “debian/eole/2.5.2-9”

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 28 Jan 2016 16:12:08 +0100

eole-fichier (2.5.2-9) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [2d45b0e] compresser les logs samba (ref #13963)
  * [34b53a3] Merge branch '2.4.0/13963'
  * [079c2e8] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [f6995a9] Garette Emmanuel: Update package since “debian/eole/2.5.2-8”

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 28 Jan 2016 15:32:08 +0100

eole-fichier (2.5.2-8) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [021cf54] majuscule lors de la restauration (ref #14698)
  * [9336da2] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [16fcbf3] Garette Emmanuel: Update package since “debian/eole/2.5.2-7”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 20 Jan 2016 16:38:34 +0100

eole-fichier (2.5.2-7) eole-2.5-unstable; urgency=low

  [ Joël Cuissinat ]
  * [a790131] * common/diagnose/151-fichier : suppr spaces
  * [6e79559] Détection des répertoires de partage supplémentaire inexistants
  * [e4d43dc] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [db577a7] Joël Cuissinat: Update package since “debian/eole/2.5.2-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 13 Jan 2016 17:35:12 +0100

eole-fichier (2.5.2-6) eole-2.5-unstable; urgency=low

  [ Christophe Guerinot ]
  * [2ec0974] krb5-membre.conf: gestion du cas où le serveur n'est pas dans un domaine AD ( ref #14118 ).

  [ Klaas TJEBBES ]
  * [19bc22f] smb.conf : "enable privileges = No" REF #14453 @30m
  * [2d90eed] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [035c2f0] Klaas TJEBBES: Update package since “debian/eole/2.5.2-5”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Tue, 22 Dec 2015 14:43:26 +0100

eole-fichier (2.5.2-5) eole-2.5-unstable; urgency=low

  [ Christophe Guerinot ]
  * [f4241e9] Intégration d'un serveur membre dans un domaine AD: mise à niveau ( fixes #14118 @2.0 ).
  * [045c497] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [e9b8661] Christophe Guerinot: Update package since “debian/eole/2.5.2-4”



=== debian/control ===
Source: eole-fichier
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-fichier
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-fichier/repository

Package: eole-fichier-common
Architecture: all
Depends: ${misc:Depends}, ${python-depends}, quota, acl,
 eole-antivirus
# python-fichier, eole-sso-client,
# eole-fichier-primaire | eole-fichier-membre
Description: Templates et dictionnaires pour serveur de fichier EOLE
 Templates et dictionnaires communs à
 fichier-primaire et fichier-membre
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-common-pkg
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, acl, quota, quotatool, nscd, 
 samba, samba-common-bin, smbclient, scannedonly,
 winbind, libpam-winbind, tdb-tools,
 samba-vfs-modules
Provides: fichier-pkg
Conflicts: fichier-pkg
Replaces: fichier-pkg
Description: serveur de fichier EOLE (metapackage)
 Dépendances pour eole-fichier-common
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-primaire
Architecture: all
Depends: ${misc:Depends}, ${python-depends}, eole-fichier-common,
 eole-client-annuaire, eole-userpassword
Conflicts: eole-fichier-membre
Description: Templates et dictionnaires pour serveur de fichier EOLE
 Templates et dictionnaires pour un contrôleur de domaine principal
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-primaire-pkg
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, client-annuaire-pkg, smbldap-tools,
 eole-python-fichier (>=2.4.0-5), libnss-winbind
Description: serveur de fichier EOLE (metapackage)
 Dépendances pour eole-fichier-primaire
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-membre
Architecture: all
Depends: ${misc:Depends}, ${python-depends}, eole-fichier-common, eole-nsswitch
Conflicts: eole-fichier-primaire
Description: Templates et dictionnaires pour serveur de fichier EOLE
 Templates et dictionnaires pour un serveur membre
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-membre-pkg
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, krb5-config, krb5-kdc, krb5-user,
 eole-python-fichier (>=2.4.0-5), libnss-winbind
Description: serveur de fichier membre EOLE (metapackage)
 Dépendances pour eole-fichier-membre
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-userpassword
Architecture: all
Depends: ${misc:Depends}
Description: Templates et dictionnaires pour le paramètrage des mots de passe
 Templates et dictionnaires liés à la gestion des mots de passe
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-fichier 2.5.2-19

=== debian/changelog ===
eole-fichier (2.5.2-19) eole-2.5-unstable; urgency=low

  [ Joël Cuissinat ]
  * [601be5d] Suppression des modifications ajoutées dans #17180 pour EOLE 2.5
  * [7ba382c] Merge branch '2.5.1/master' into 2.5.2/master
  * [8789e19] Merge branch '2.5.2/master' into dist/eole/2.5.2/master
  * [8d26dc1] smbldap_bind.conf : ajout des variables pour Eole-AD si activé
  * [b7036e0] Merge branch '2.5.2/master' into dist/eole/2.5.2/master

  [ EOLE Build Daemon ]
  * [213913c] Joël Cuissinat: Update package since “debian/eole/2.5.2-18”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 31 Mar 2017 15:35:32 +0200

eole-fichier (2.5.2-18) eole-2.5.2-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [f2b278c] Merge branch 'issue/14827' into 2.5.1/master

  [ Daniel Dehennin ]
  * [44ea941] Merge branch '2.4.0/dont-compress-last-samba-log'
  * [4213eec] logrotate : modification de la configuration logrotate.d/samba

  [ Klaas TJEBBES ]
  * [6744736] smb.conf : ajout de l'option "acl allow execute always = Yes" REF #17646 @2h
  * [1705866] smb.conf : déplacement de l'option "acl allow execute always = Yes" REF #17646
  * [ed60881] Merge branch '2.5.1/master' into 2.5.2/master
  * [1a3aa3f] Merge branch '2.5.2/master' into dist/eole/2.5.2/master

  [ EOLE Build Daemon ]
  * [1c460a0] Klaas TJEBBES: Update package since “debian/eole/2.5.2-17”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Tue, 25 Oct 2016 12:08:59 +0200

## eole-fichier 2.6.0-24

=== common/Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 SOURCE=eole-fichier
-EOLE_VERSION=2.5
-EOLE_RELEASE=2.5.2
+EOLE_VERSION=2.6
+EOLE_RELEASE=2.6.0
 PKGAPPS=non
 
 ################################

=== membre/Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 SOURCE=eole-fichier
-EOLE_VERSION=2.5
-EOLE_RELEASE=2.5.2
+EOLE_VERSION=2.6
+EOLE_RELEASE=2.6.0
 PKGAPPS=non
 
 ################################

=== primaire/Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 SOURCE=eole-fichier
-EOLE_VERSION=2.5
-EOLE_RELEASE=2.5.2
+EOLE_VERSION=2.6
+EOLE_RELEASE=2.6.0
 PKGAPPS=non
 
 ################################

=== userpassword/Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 SOURCE=eole-fichier
-EOLE_VERSION=2.5
-EOLE_RELEASE=2.5.2
+EOLE_VERSION=2.6
+EOLE_RELEASE=2.6.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-fichier (2.6.0-24) eole-2.6.0-proposed-updates; urgency=low

  [ Christophe Guerinot ]
  * [93f816e] smb-include_global.conf : Déplacement d'un paragraphe du template smb-include_shares.conf du projet conf-ecdl ( fixes #17672 @1h ).
  * [41ad65d] Merge branch '2.6.0/master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [5d8f32b] Christophe Guerinot: Update package since “debian/eole/2.6.0-23”

 -- Christophe Guerinot <christophe.guerinot@developpement-durable.gouv.fr>  Thu, 03 Nov 2016 17:39:12 +0100

eole-fichier (2.6.0-23) eole-2.6.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [316454d] Déplacement de l'override de nscd dans eole-fichier-common-pkg

  [ EOLE Build Daemon ]
  * [de1e54b] Joël Cuissinat: Update package since “debian/eole/2.6.0-22”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 11 Oct 2016 14:46:51 +0200

eole-fichier (2.6.0-22) eole-2.6.0-proposed-updates; urgency=low

  [ Laurent Flori ]
  * [0f4ad90] Permettre la connexion sans redémarrer le service cups

  [ Joël Cuissinat ]
  * [aa5dcdc] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [f984a12] Joël Cuissinat: Update package since “debian/eole/2.6.0-21”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 11 Oct 2016 10:19:03 +0200

eole-fichier (2.6.0-21) eole-2.6.0-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [1f1cf08] erreur dans le nom du service ... (ref #17344)
  * [e8b9693] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [bbce2bf] Garette Emmanuel: Update package since “debian/eole/2.6.0-20”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 30 Sep 2016 17:08:39 +0200

eole-fichier (2.6.0-20) eole-2.6.0-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [0ac0602] le service quotaon ne doit pas être en erreur après instance (ref #17344 @1h)
  * [4946003] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [cb08ceb] Garette Emmanuel: Update package since “debian/eole/2.6.0-19”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 30 Sep 2016 16:47:44 +0200

eole-fichier (2.6.0-19) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [320ec93] Le service smbd est à installer dans le -pkg

  [ EOLE Build Daemon ]
  * [6a25c04] Daniel Dehennin: Update package since “debian/eole/2.6.0-18”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 14 Sep 2016 11:18:57 +0200

eole-fichier (2.6.0-18) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [62c44bc] Correction de l’installation du service systemd
  * [31700f5] Correction de la gestion systemd

  [ EOLE Build Daemon ]
  * [5415070] Daniel Dehennin: Update package since “debian/eole/2.6.0-17”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 14 Sep 2016 11:12:44 +0200

eole-fichier (2.6.0-17) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [0f35793] Correction du copier/coller

  [ EOLE Build Daemon ]
  * [36f1ec2] Daniel Dehennin: Update package since “debian/eole/2.6.0-16”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 14 Sep 2016 10:48:28 +0200

eole-fichier (2.6.0-16) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [482e36a] Toujours redémarrer smbd
  * [4a9c612] Merge branch 'master'
  * [8b04818] Installation du service systemd de smbd

  [ EOLE Build Daemon ]
  * [2c161a6] Daniel Dehennin: Update package since “debian/eole/2.6.0-15”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 14 Sep 2016 10:42:47 +0200

eole-fichier (2.6.0-15) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [732f4c9] Le service « nscd » doit démarrer après « slapd »
  * [1f066c3] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [3409ab4] Daniel Dehennin: Update package since “debian/eole/2.6.0-14”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 08 Sep 2016 10:16:14 +0200

eole-fichier (2.6.0-14) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [689ee18] Suppression des options par défaut de /home
  * [1b6cd40] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [280ebac] Daniel Dehennin: Update package since “debian/eole/2.6.0-13”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 21 Jul 2016 14:49:48 +0200

eole-fichier (2.6.0-13) eole-2.6-unstable; urgency=low

  [ Christophe Guerinot ]
  * [3b3334c] Petit souci d'orthographe ( ref #16289 )

  [ Garette Emmanuel ]
  * [27dcf78] gestion du LDAP dans nsswitch (ref #16611)
  * [a853e56] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [4deea9f] Garette Emmanuel: Update package since “debian/eole/2.6.0-12”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 24 Jun 2016 12:00:23 +0200

eole-fichier (2.6.0-12) eole-2.6-unstable; urgency=low

  [ Philippe Caseiro ]
  * [1f152cf] Traitement de l'activation des quotas plus tôt.
  * [dffa49d] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [773b3e7] Philippe Caseiro: Update package since “debian/eole/2.6.0-11”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 17 Jun 2016 10:35:18 +0200

eole-fichier (2.6.0-11) eole-2.6-unstable; urgency=low

  [ Philippe Caseiro ]
  * [732e427] Améliortaion du script d'activation des quota

  [ Christophe Guerinot ]
  * [cc2ead0] cosmétique
  * [75855b1] cosmétique
  * [0155b59] common/tmpl/80-eole_fichier_rules : activer_regles_filtrage_port_source="oui" , adaptation en 2.6
  * [791a546] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [257df46] Christophe Guerinot: Update package since “debian/eole/2.6.0-10”

 -- Christophe Guerinot <christophe.guerinot@developpement-durable.gouv.fr>  Wed, 15 Jun 2016 17:04:50 +0200

eole-fichier (2.6.0-10) eole-2.6-unstable; urgency=low

  [ Philippe Caseiro ]
  * [5d80c91] Ajout du script d'activation des quota.
  * [e94b58d] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [7bec2d9] Philippe Caseiro: Update package since “debian/eole/2.6.0-9”



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9),
+               dh-systemd
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-fichier
@@ -24,10 +25,11 @@
 Package: eole-fichier-common-pkg
 Section: metapackages
 Architecture: all
-Depends: ${misc:Depends}, acl, quota, quotatool, nscd, 
- samba, samba-common-bin, smbclient, scannedonly,
+Depends: ${misc:Depends}, acl, quota, quotatool, nscd,
+ samba, samba-common-bin, smbclient,
  winbind, libpam-winbind, tdb-tools,
  samba-vfs-modules
+# scannedonly
 Provides: fichier-pkg
 Conflicts: fichier-pkg
 Replaces: fichier-pkg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

%:
	dh $@ --with systemd

override_dh_installinit:
	dh_installinit --noscripts --name=smbd

override_dh_systemd_enable:
	dh_systemd_enable --name=smbd

.PHONY: override_dh_installinit override_dh_systemd_enable

## eole-fichier 2.6.0-25

=== debian/changelog ===
eole-fichier (2.6.0-25) eole-2.6.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [903c3f8] Revert "smb.conf : remise à la valeur par défaut de "server max protocol"  #15808"
  * [34e54c1] Merge branch '2.6.0/29466-protoNT1' into 2.6.0/master
  * [b05c2ca] Merge branch '2.6.0/master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [27c9d2a] Joël Cuissinat: Update package since “debian/eole/2.6.0-24”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 15 Jan 2020 12:00:03 +0100

## eole-fichier 2.6.1-17

=== debian/changelog ===
eole-fichier (2.6.1-17) eole-2.6.1-proposed-updates; urgency=low

  [ Christophe Guerinot ]
  * [1e0a1b8] debian/control: eole-fichier-membre-pkg suppression de la dépendance du paquet 'krb5-kdc' ( fixes #19367 @0.50h)

  [ EOLE Build Daemon ]
  * [17a8768] Christophe Guerinot: Update package since “debian/eole/2.6.1-16”

 -- Christophe Guerinot <christophe.guerinot@developpement-durable.gouv.fr>  Wed, 15 Mar 2017 11:50:09 +0100

eole-fichier (2.6.1-16) eole-2.6.1-proposed-updates; urgency=low

  [ gwen ]
  * [da613f4] Translations in the scheduled tasks' action
  * [9a340e9] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [6d592d6] gwen: Update package since “debian/eole/2.6.1-15”

 -- gwen <gremond@cadoles.com>  Thu, 09 Mar 2017 17:20:12 +0100

eole-fichier (2.6.1-15) eole-2.6.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [a77b462] Renommer la variable quota_maxfactor dans la balise d’aide.
  * [606781a] Merge branch '2.6.1/19573-variable_renommee'
  * [a2f9cfe] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [525966b] Benjamin Bohard: Update package since “debian/eole/2.6.1-14”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 08 Mar 2017 16:19:53 +0100

eole-fichier (2.6.1-14) eole-2.6.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [fbc24d6] correction du dictionnaire (ref #19398)

  [ Garette Emmanuel ]
  * [c8c0435] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [719c99f] Garette Emmanuel: Update package since “debian/eole/2.6.1-13”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 08 Mar 2017 15:22:05 +0100

eole-fichier (2.6.1-13) eole-2.6.1-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [bbe58fd] add action funcs (ref #19545)
  * [2389874] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [25a3603] Garette Emmanuel: Update package since “debian/eole/2.6.1-12”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 08 Mar 2017 15:04:03 +0100

eole-fichier (2.6.1-12) eole-2.6.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [8c1eecf] add check RWX when added a new user/group default right for a new user/group are default mask improvemnt for recursive action improvment for "other" and "mark" rights
  * [389e2d0] colorize selected file in tree (ref #19162)
  * [1b0fb82] update bower component (ref #12957)
  * [92af6c5] add icon to delete quota for a row + spinner (ref #12957)
  * [5b4c0d7] choose directory for quota (ref #12957)
  * [9c9ee94] translation better hard limit
  * [60e8a5a] error and warning limit are now editable (ref #19545)
  * [59a52e0] add spinner + translation (ref #19545)
  * [77cbf21] we can choice directory where acl can be changed (ref #19545)

  [ Garette Emmanuel ]
  * [965b7cd] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [2bb93c8] Garette Emmanuel: Update package since “debian/eole/2.6.1-11”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 07 Mar 2017 17:43:30 +0100

eole-fichier (2.6.1-11) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [be4b8a9] relative path + file.find is now in module (ref #19162)

  [ Garette Emmanuel ]
  * [bb2cd73] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [6674db3] Garette Emmanuel: Update package since “debian/eole/2.6.1-10”

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 02 Mar 2017 12:20:06 +0100

eole-fichier (2.6.1-10) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [e769d4c] add ACL action (ref #19162)
  * [c74731c] add ACL action (ref #19162)

  [ Garette Emmanuel ]
  * [aeaaae5] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [901bebb] Garette Emmanuel: Update package since “debian/eole/2.6.1-9”

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 02 Mar 2017 10:17:31 +0100

eole-fichier (2.6.1-9) eole-2.6-unstable; urgency=low

  [ Lohysia ]
  * [f86ac76] Add description on families xml in eole-fichier

  [ William Petit ]
  * [3d56530] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [80b1b8c] William Petit: Update package since “debian/eole/2.6.1-8”

 -- William Petit <wpetit@cadoles.com>  Wed, 01 Mar 2017 17:05:15 +0100

eole-fichier (2.6.1-8) eole-2.6-unstable; urgency=low

  [ Lohysia ]
  * [ce9fa12] Hide description and mode in xml schedule dico
  * [5d18233] Merge branch 'master' of https://dev-eole.ac-dijon.fr/git/eole-fichier

  [ gwen ]
  * [faf8187] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [29a235d] gwen: Update package since “debian/eole/2.6.1-7”

 -- gwen <gremond@cadoles.com>  Thu, 09 Feb 2017 10:29:59 +0100

eole-fichier (2.6.1-7) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [0f60c32] add package eole-fichier-actions (ref #12957)
  * [fa39f12] move quota action to eole-fichier-actions (ref #12957)

  [ Garette Emmanuel ]
  * [5f3599a] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [cd2aa6a] Garette Emmanuel: Update package since “debian/eole/2.6.1-6”

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 09 Feb 2017 10:19:06 +0100

eole-fichier (2.6.1-6) eole-2.6-unstable; urgency=low

  [ Garette Emmanuel ]
  * [175a52b] wrong directory for quota action (ref #12957)
  * [90a65d6] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [cfd3a0c] Garette Emmanuel: Update package since “debian/eole/2.6.1-5”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 08 Feb 2017 14:21:57 +0100

eole-fichier (2.6.1-5) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [d7f8e13] add new quota action (ref #12957)

  [ Garette Emmanuel ]
  * [7ce038a] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [76b0f52] Garette Emmanuel: Update package since “debian/eole/2.6.1-4”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 08 Feb 2017 14:15:19 +0100



## eole-fichier 2.6.1-18

=== debian/changelog ===
eole-fichier (2.6.1-18) eole-2.6.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [903c3f8] Revert "smb.conf : remise à la valeur par défaut de "server max protocol"  #15808"
  * [09530e5] Merge branch '2.6.0/29466-protoNT1' into 2.6.1/master
  * [01a8fb9] Merge branch '2.6.1/master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [be96deb] Joël Cuissinat: Update package since “debian/eole/2.6.1-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 15 Jan 2020 12:00:39 +0100

## eole-fichier 2.6.2-7

=== Makefile ===
################################
# Makefile pour eole-fichier-common
################################

export SOURCE=eole-fichier
export EOLE_VERSION=2.6
export EOLE_RELEASE=2.6.1
PKGAPPS=non

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== primaire/Makefile ===
include ../eole.mk
include ../apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-fichier (2.6.2-7) eole-2.6-unstable; urgency=low

  [ William Petit ]
  * [26d7c3d] Ajout de "rwx" sur les cases à cocher de gestion des droits
  * [762b520] Merge branch 'develop'
  * [bf4c265] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [97b22d9] William Petit: Update package since “debian/eole/2.6.2-6”

 -- William Petit <wpetit@cadoles.com>  Mon, 20 Nov 2017 11:57:19 +0100

eole-fichier (2.6.2-6) eole-2.6-unstable; urgency=low

  [ William Petit ]
  * [c8dc1a6] Correction ergonomie action ACL
  * [a0e1549] Merge branch 'develop'

  [ Benjamin Bohard ]
  * [3b05606] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [258890b] Benjamin Bohard: Update package since “debian/eole/2.6.2-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 16 Nov 2017 10:24:11 +0100

eole-fichier (2.6.2-5) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [54334c5] restreindre l'acces des répertoires à ceux utilisés pour l'action ACL (ref #20408)
  * [2395046] restreindre l'acces des répertoires à ceux utilisés pour l'action quota (ref #20408)
  * [cb422b6] Merge branch 'develop'

  [ Garette Emmanuel ]
  * [dada50d] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [45f30b4] Garette Emmanuel: Update package since “debian/eole/2.6.2-4”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 21 Jun 2017 17:06:25 +0200

eole-fichier (2.6.2-4) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [7387ace] smb.conf : suppression ligne superflue "encrypt passwords"
  * [813e9ea] smb-include_global.conf : suppression ligne superflue "obey pam restrictions"
  * [05236d5] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [a2ac684] Joël Cuissinat: Update package since “debian/eole/2.6.2-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 26 Apr 2017 17:53:12 +0200

eole-fichier (2.6.2-3) eole-2.6-unstable; urgency=low

  [ William Petit ]
  * [3734a23] Use ewt-custom-action
  * [598cd1d] Export required variable
  * [7e96151] Use ewt-custom-action
  * [6682ee4] Use ewt-location-utils to create Ajax URL
  * [9fbca44] Add linting rules

  [ Emmanuel Garette ]
  * [c9ac4cc] //home => /home (ref #19692)
  * [d6b02af] action is only visible if action is completly started (ref #20167)
  * [9e40936] corrections cosmétiques : meilleur support de la largeur de l'écran (ref #19803)
  * [962ed33] amélioration de l'interface des quotas et ACL (ref #19694) (ref #19984) (ref #20017)

  [ Benjamin Bohard ]
  * [3a78cd5] Merge branch 'develop'
  * [6cc4480] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [f4dc6c3] Benjamin Bohard: Update package since “debian/eole/2.6.2-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 19 Apr 2017 15:36:20 +0200

eole-fichier (2.6.2-2) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4f3c3d8] Export EOLE variables for sub Makefiles
  * [5ae5834] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [317f9aa] Daniel Dehennin: Update package since “debian/eole/2.6.2-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 12 Apr 2017 18:08:06 +0200

eole-fichier (2.6.2-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [a144839] Prepare version 2.6.2
  * [16be4c4] Merge tag 'release/2.6.2' into dist/eole/2.6.2/master

  [ Joël Cuissinat ]
  * [598ef50] smbldap_bind.conf : ajout des variables pour Eole-AD si activé
  * [90e7044] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [8778fa2] Joël Cuissinat: Update package since “debian/eole/2.6.1-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 12 Apr 2017 17:17:24 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Depends: ${misc:Depends}, acl, quota, quotatool, nscd,
  samba, samba-common-bin, smbclient,
  winbind, libpam-winbind, tdb-tools,
- samba-vfs-modules
+ samba-vfs-modules, samba-dsdb-modules
 # scannedonly
 Provides: fichier-pkg
 Conflicts: fichier-pkg
@@ -74,7 +74,7 @@
 Package: eole-fichier-membre-pkg
 Section: metapackages
 Architecture: all
-Depends: ${misc:Depends}, krb5-config, krb5-kdc, krb5-user,
+Depends: ${misc:Depends}, krb5-config, krb5-user,
  eole-python-fichier (>=2.4.0-5), libnss-winbind
 Description: serveur de fichier membre EOLE (metapackage)
  Dépendances pour eole-fichier-membre
@@ -90,3 +90,11 @@
  .
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
+
+Package: eole-fichier-actions
+Architecture: all
+Depends: ${misc:Depends}
+Description: Actions génériques sur les fichiers
+ .
+ Pour toute information complémentaire, veuillez vous rendre sur le
+ site du projet EOLE.

## eole-fichier 2.6.2-15

=== debian/changelog ===
eole-fichier (2.6.2-15) eole-2.6.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0b695dc] Pouvoir déclarer les répertoires dont les ACL sont éditables par l’administrateur
  * [158edb0] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [45a47d8] Benjamin Bohard: Update package since “debian/eole/2.6.2-14”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 26 Sep 2018 11:24:15 +0200

eole-fichier (2.6.2-14) eole-2.6.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [f4a8c7b] Utiliser la bonne liste de répertoires pour valider l’action quota
  * [181e6b5] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [d34162b] Benjamin Bohard: Update package since “debian/eole/2.6.2-13”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 20 Sep 2018 12:11:22 +0200

eole-fichier (2.6.2-13) eole-2.6.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [cf715be] Exécuter dh_install pour construire tous les paquets

  [ EOLE Build Daemon ]
  * [6dafc52] Benjamin Bohard: Update package since “debian/eole/2.6.2-12”

 -- Benjamin Bohard <bbohard@cadoles.com>  Fri, 31 Aug 2018 16:59:31 +0200

eole-fichier (2.6.2-12) eole-2.6.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [14d1bdb] Downgrade polymer-cli version to build against node 6 version

  [ EOLE Build Daemon ]
  * [634cefc] Benjamin Bohard: Update package since “debian/eole/2.6.2-11”

 -- Benjamin Bohard <bbohard@cadoles.com>  Fri, 31 Aug 2018 10:41:55 +0200

eole-fichier (2.6.2-11) eole-2.6.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [3a65869] Rétablir la communication inter actions
  * [570a747] Préparation à la minification
  * [8851460] Ajout des dépendances pour la minification
  * [a031926] Merge branch '2.6.2/22272-selection_multiple' into 2.6.2/master
  * [14a6427] Intégration des dépendances pour permettre la minification.
  * [fa51c7b] Merge branch '2.6.2/22272-selection_multiple' into 2.6.2/master
  * [ac47116] Montée de version des composants polymer et fonctionnalités étendues.
  * [52d87ee] Merge branch '2.6.2/22270-quota_selection_multiple' into 2.6.2/master
  * [da4df1a] Merge branch '2.6.2/master' into dist/eole/2.6.2/master
  * [3d7fe1e] Empaquetage avec minification des actions EAD3.
  * [5995af9] Contournement pour le fichier webcomponents-lite.js

  [ EOLE Build Daemon ]
  * [449e6d4] Benjamin Bohard: Update package since “debian/eole/2.6.2-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Fri, 31 Aug 2018 10:21:57 +0200

eole-fichier (2.6.2-10) eole-2.6.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [5fabca1] Évolutions fonctionnelles de l’action EAD3 ACL.
  * [efe5210] Merge branch '2.6.2/22272-selection_multiple' into 2.6.2/master
  * [b732b7f] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [7ca6ceb] Benjamin Bohard: Update package since “debian/eole/2.6.2-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 26 Jun 2018 16:58:57 +0200

eole-fichier (2.6.2-9) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [328bd23] smbldap_bind.conf : utilisation du nom complet du serveur AD
  * [662a05e] Merge branch '2.6.2/23445-fix-adserver' into 2.6.2/master
  * [79df0e5] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [f9eb0f1] Joël Cuissinat: Update package since “debian/eole/2.6.2-8”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 29 Mar 2018 11:53:11 +0200

eole-fichier (2.6.2-8) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [cc12e7f] Modification des tests diagnose pour le support de EoleAD
  * [9d52e77] Merge branch '2.6.2/diagnose-EoleAD' into 2.6.2/master
  * [b4e279d] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [c3755a6] Joël Cuissinat: Update package since “debian/eole/2.6.2-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 Mar 2018 17:20:18 +0100

## eole-fichier 2.6.2-20

=== debian/changelog ===
eole-fichier (2.6.2-20) eole-2.6.2-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [90359f1] Moving variable to a better location.
  * [72aa90d] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [f753999] Philippe Caseiro: Update package since “debian/eole/2.6.2-19”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Mon, 08 Jun 2020 09:23:26 +0200

eole-fichier (2.6.2-19) eole-2.6.2-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [2cac305] Fix typo
  * [9e117c8] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [15ae1dd] Philippe Caseiro: Update package since “debian/eole/2.6.2-18”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Mon, 08 Jun 2020 09:17:10 +0200

eole-fichier (2.6.2-18) eole-2.6.2-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [3315849] Fixing dico destination
  * [7855680] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [ad44cdf] Philippe Caseiro: Update package since “debian/eole/2.6.2-17”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 05 Jun 2020 14:28:51 +0200

eole-fichier (2.6.2-17) eole-2.6.2-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [2b7ea8d] Adding variable to enable username in pass check
  * [5aeaf08] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [d431928] Philippe Caseiro: Update package since “debian/eole/2.6.2-16”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 05 Jun 2020 10:43:27 +0200

eole-fichier (2.6.2-16) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [903c3f8] Revert "smb.conf : remise à la valeur par défaut de "server max protocol"  #15808"
  * [3b9c21d] Merge branch '2.6.0/29466-protoNT1' into 2.6.2/master
  * [e7b6c3b] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [f24055e] Joël Cuissinat: Update package since “debian/eole/2.6.2-15”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 15 Jan 2020 12:01:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
 Build-Depends: debhelper (>= 9),
-               dh-systemd
+               dh-systemd,
+	       nodejs,
+	       npm
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-fichier

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,32 @@
 %:
 	dh $@ --with systemd
 
+override_dh_clean:
+	dh_clean node_modules/ build/
+
+
 override_dh_installinit:
 	dh_installinit --noscripts --name=smbd
 
 override_dh_systemd_enable:
 	dh_systemd_enable --name=smbd
 
-.PHONY: override_dh_installinit override_dh_systemd_enable
+override_dh_auto_configure:
+	HOME=/tmp npm install polymer-cli@1.2
+
+override_dh_auto_build:
+	mkdir -p dist/static/acl/custom
+	mkdir -p dist/static/quota/custom
+
+	
+	cd ./actions/extra/acl/custom; ../../../../node_modules/.bin/polymer build
+	cp -r ./actions/extra/acl/custom/build/default/* dist/static/acl/custom/
+	cd ./actions/extra/quota/custom; ../../../../node_modules/.bin/polymer build
+	cp -r ./actions/extra/quota/custom/build/default/* dist/static/quota/custom/
+	dh_auto_build
+
+override_dh_install:
+	dh_install -p eole-fichier-actions dist/static/* usr/share/eole/creole/extra/
+	dh_install
+
+.PHONY: override_dh_installinit override_dh_systemd_enable override_dh_auto_configure override_dh_auto_build

## eole-fichier 2.7.0-21

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,9 @@
 ################################
 
 export SOURCE=eole-fichier
-export EOLE_VERSION=2.6
-export EOLE_RELEASE=2.6.1
+EOLE_VERSION=2.7
+export EOLE_VERSION=2.7
+export EOLE_RELEASE=2.7.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-fichier (2.7.0-21) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [ac69569] Merge branch '2.6.2/25697-grace' into 2.6.2/master
  * [7f3a9b0] Merge branch '2.6.2/25700-thresholds' into 2.6.2/master
  * [63a1d6a] Forcer l’utilisation de shadydom temporairement.
  * [f8314a2] Merge branch '2.6.2/25672-25673-shadowdom_implementation'
  * [905064e] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [d1972a6] Benjamin Bohard: Update package since “debian/eole/2.7.0-20”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 05 Nov 2018 16:58:15 +0100

eole-fichier (2.7.0-20) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [bec4a49] Merge branch '2.6.2/25697-grace' into 2.6.2/master
  * [d6d1ddf] Merge branch '2.6.2/25697-grace' into 2.6.2/master
  * [5ccda99] Rétablir le chemin de la traduction pour la minification.
  * [221667b] Utiliser les seuils déclarés dans le dictionnaire extra
  * [550ff89] Merge branch '2.6.2/25700-thresholds'
  * [859b521] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [ceac223] Benjamin Bohard: Update package since “debian/eole/2.7.0-19”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 05 Nov 2018 10:56:26 +0100

eole-fichier (2.7.0-19) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [9aed6ee] Rétablir le chemin de la traduction pour la minification.
  * [e3a5251] Merge branch '2.6.2/25697-grace'
  * [d0d121e] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [583ec0d] Benjamin Bohard: Update package since “debian/eole/2.7.0-18”

 -- Benjamin Bohard <bbohard@cadoles.com>  Fri, 02 Nov 2018 11:10:02 +0100

eole-fichier (2.7.0-18) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [628b6ac] Ajouter les traductions de unités pour les durées.
  * [dcb30a8] Merge branch '2.6.2/25697-grace'
  * [81b3831] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [8fa478d] Benjamin Bohard: Update package since “debian/eole/2.7.0-17”

 -- Benjamin Bohard <bbohard@cadoles.com>  Fri, 02 Nov 2018 10:37:48 +0100

eole-fichier (2.7.0-17) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [03c85a1] Merge branch '2.6.2/25698-colored_overquota' into 2.6.2/master
  * [fa29990] Afficher le sursis sous une forme plus facile à interpréter.
  * [61e0cfc] Merge branch '2.6.2/25697-grace'
  * [78c7197] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [11dfbed] Benjamin Bohard: Update package since “debian/eole/2.7.0-16”

 -- Benjamin Bohard <bbohard@cadoles.com>  Fri, 02 Nov 2018 10:00:47 +0100

eole-fichier (2.7.0-16) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [5c03f48] Merge branch '2.6.2/25696-cookie' into 2.6.2/master
  * [8e9b336] Mettre en évidence les dépassements de quotas.
  * [ead1d9c] Merge branch '2.6.2/25698-colored_overquota'
  * [89337da] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [781e63a] Benjamin Bohard: Update package since “debian/eole/2.7.0-15”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 31 Oct 2018 16:41:16 +0100

eole-fichier (2.7.0-15) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [5059358] Merge branch '2.6.2/25640-missing_label' into 2.6.2/master
  * [7a0c912] Pointer vers le fichier de traduction pour les paramètres.
  * [0969db1] Merge branch '2.6.2/25590-minification_proof_link' into 2.6.2/master
  * [c371649] Transmettre le cookie dans les requêtes.
  * [246035e] Merge branch '2.6.2/25696-cookie'
  * [50a935a] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [46901da] Benjamin Bohard: Update package since “debian/eole/2.7.0-14”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 31 Oct 2018 16:04:20 +0100

eole-fichier (2.7.0-14) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [f32a8d7] Revert "Revert "Merge branch '2.6.2/25590-minification_proof_link' into 2.6.2/master""
  * [d47fa65] Modifier le chemin vers le fichier de traduction pour les paramètres
  * [eabed93] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [d09dce3] Benjamin Bohard: Update package since “debian/eole/2.7.0-13”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 29 Oct 2018 16:12:46 +0100

eole-fichier (2.7.0-13) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [527aba8] Revert "Merge branch '2.6.2/25590-minification_proof_link' into 2.6.2/master"
  * [8ed9c51] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [4e48591] Benjamin Bohard: Update package since “debian/eole/2.7.0-12”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 29 Oct 2018 15:42:19 +0100

eole-fichier (2.7.0-12) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [d5387f4] Merge branch '2.6.2/25590-minification_proof_link' into 2.6.2/master
  * [7568b39] Ajouter les guillemets manquants pour la chaîne à traduire.
  * [a5d6bae] Merge branch '2.6.2/25640-missing_label'
  * [5331188] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [f20ead6] Benjamin Bohard: Update package since “debian/eole/2.7.0-11”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 23 Oct 2018 16:27:45 +0200

eole-fichier (2.7.0-11) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [52d87ee] Merge branch '2.6.2/22270-quota_selection_multiple' into 2.6.2/master
  * [f4a8c7b] Utiliser la bonne liste de répertoires pour valider l’action quota
  * [0b695dc] Pouvoir déclarer les répertoires dont les ACL sont éditables par l’administrateur
  * [68b6fd0] Saisie validée dans les formulaires pour l’action quota.
  * [cb0c548] Merge branch '2.6.2/25378-valider_valeurs_saisies'
  * [6495f25] Merge branch '2.6.2/25378-valider_valeurs_saisies' into 2.6.2/master
  * [8ef15c6] Ne pas utiliser le module salt quota pour modifier ou lister les quotas.
  * [f6785a9] Merge branch '2.6.2/25553-module_quota_replacement'


=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
 Build-Depends: debhelper (>= 9),
                dh-systemd,
-	       nodejs,
-	       npm
+               nodejs,
+               npm,
+               ca-certificates
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-fichier
@@ -95,7 +96,7 @@
 
 Package: eole-fichier-actions
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, quota, acl
 Description: Actions génériques sur les fichiers
  .
  Pour toute information complémentaire, veuillez vous rendre sur le
